#include <iostream>
using namespace std;
int main()
{
    int n,k,br=0;
    cin>>n>>k;
    int a[n];
    int meta[2*n+1]={0};
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        meta[a[i]+n]++;
    }
    for(int i=0;i<2*n+1;i++)
    {
        if(meta[i]>=k)
            br++;
    }
    cout<<br<<endl;
    for(int i=0;i<2*n+1;i++)
    {
        if(meta[i]>=k)
            cout<<i-n<<" ";
    }
    return 0;
}